Bug 986074 - Ongoing graphical corruption in GNOME when booting debug kernels in current Rawhide
Ongoing graphical corruption in GNOME when booting debug kernels in current R...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
20
All All
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 18:09 EDT by Adam Williamson
Modified: 2015-06-29 08:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:06:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-07-18 18:09:20 EDT
If I boot kernel-3.11.0-0.rc0.git7.1.fc20.x86_64 or kernel-3.11.0-0.rc1.git1.1.fc20.x86_64 - both of which have debugging symbols enabled (and I boot with slub_debug=-) - throughout my GNOME session I see constant artifacting, describable more or less as bits of the display 'disappearing' (I can see what's behind them, or the desktop) and then showing up again a few seconds later.

If I boot kernel-3.11.0-0.rc1.git0.1.fc20.x86_64 - which has debugging symbols disabled - I do not see this artifacting at all.

I don't see anything in journalctl that looks related, at a glance. My video adapter is a 01:00.0 VGA compatible controller [0300]: NVIDIA Corporation G94 [GeForce 9600 GT] [10de:0622] (rev a1) , using nouveau.

I'll attach a video showing the issue.
Comment 1 Adam Williamson 2013-07-18 18:10:31 EDT
Interestingly, the artifacting stops happening if I turn on the Shell screen recorder - not just that it doesn't show up in the video (which I was half expecting), but it actually _stops happening_.

I'll try and get a video from my camera.
Comment 2 Adam Williamson 2013-07-18 18:30:45 EDT
http://www.happyassassin.net/extras/debug_artifact.mp4 is a video from my camera showing some of the artifacting. Note I have two monitors, the video only shows the right hand one - the panel's on the other, if you're wondering where it is. I'm just typing in xchat and alt-tabbing to Firefox, you can see various artifacts going on.
Comment 3 Adam Williamson 2013-08-19 13:10:16 EDT
With 3.11.0-0.rc5.git6.1.fc20.x86_64 the exact corruption described in the OP is not visible any more, but windows tend to flash when I'm switching between them, opening a new one or going to the overview. Still doesn't happen with non-debug kernels.
Comment 4 Adam Williamson 2013-08-22 18:01:18 EDT
Reported upstream: https://bugs.freedesktop.org/show_bug.cgi?id=68453
Comment 5 Fedora End Of Life 2013-09-16 10:38:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Fedora End Of Life 2015-05-29 05:11:54 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:06:22 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.